fetch_dependencies:
  stage: build
  script:
    - npm install
  cache:
    paths:
      - node_modules

build_js:
  stage: build
  needs:
    - fetch_dependencies
  script:
    - npm run build
  cache:
    paths:
      - node_modules
  artifacts:
    paths:
      - dist
    expire_in: 20 min
